<?php /** @noinspection ALL */

    class Woocommerce_Pay_Per_Post_Activator {

	/**
	 * Create the stats table for page view expiration.
	 * */
	public static function activate( $plugin_version ) {

		if ( ! defined( 'WC_PPP_VERSION' ) ) {
			define( 'WC_PPP_VERSION', $plugin_version );
		}

		if ( ! class_exists( 'WooCommerce' ) ) {
			deactivate_plugins( plugin_basename( __FILE__ ) );
			wp_die( esc_html__( 'Please install and Activate WooCommerce.', 'wc_pay_per_post' ), 'Plugin dependency check', array( 'back_link' => true ) );
		}

		if ( wcppp_freemius()->is__premium_only() ) {
			global $wpdb;
			$sql    = "SELECT count((1)) as `ct` FROM INFORMATION_SCHEMA.TABLES where table_schema ='{$wpdb->__get('dbname')}' and table_name='{$wpdb->__get('prefix')}woocommerce_pay_per_post_pageviews'";
			$exists = (bool) $wpdb->get_var( $sql );

			if ( ! $exists ) {
				self::create_table__premium_only();
			}
		}
		self::defaults();

	}

        /** @noinspection PhpUnnecessaryCurlyVarSyntaxInspection
         * @noinspection PhpUnnecessaryCurlyVarSyntaxInspection
         */
        public static function create_table__premium_only() {
		global $wpdb;

        /** @noinspection PhpUnnecessaryCurlyVarSyntaxInspection */
        /** @noinspection PhpUnnecessaryCurlyVarSyntaxInspection */
        $sql = "CREATE TABLE `{$wpdb->prefix}woocommerce_pay_per_post_pageviews` (
				  `id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
				  `user_id` BIGINT(20) UNSIGNED NOT NULL,
				  `post_id` BIGINT(20) UNSIGNED NOT NULL,
				  `timestamp` TIMESTAMP NULL,
				  PRIMARY KEY (`id`),
				  KEY `user_id` (`user_id`),
				  KEY `post_id` (`post_id`),
				  CONSTRAINT `{$wpdb->prefix}woocommerce_pay_per_post_pageviews_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES {$wpdb->users} (`ID`) ON DELETE CASCADE ON UPDATE CASCADE,
				  CONSTRAINT `{$wpdb->prefix}woocommerce_pay_per_post_pageviews_ibfk_2` FOREIGN KEY (`post_id`) REFERENCES {$wpdb->posts} (`ID`) ON DELETE CASCADE ON UPDATE CASCADE
				)";

//		We first try to create the table with foreign keys to keep the database cleaner,
//		if that fails then we try to create the table without the constraints.
		if ( ! $wpdb->query( $sql ) ) {
			$sql = "CREATE TABLE `{$wpdb->prefix}woocommerce_pay_per_post_pageviews` (
				  `id` BIGINT(20) UNSIGNED NOT NULL AUTO_INCREMENT,
				  `user_id` BIGINT(20) UNSIGNED NOT NULL,
				  `post_id` BIGINT(20) UNSIGNED NOT NULL,
				  `timestamp` TIMESTAMP NULL,
				  PRIMARY KEY (`id`)
				)";

			$wpdb->query( $sql );
		}

	}

        /** @noinspection PhpUnnecessaryCurlyVarSyntaxInspection */
        private static function defaults() {
		global $wpdb;

		$post_types = get_option( 'wc_pay_per_post_custom_post_types' );
		// We check to see if we have any options set already, if we do not then we set our defaults.
		// We do this so we do not overwrite existing custom posts if user deactivated / reactivated.
		if ( ! $post_types || count( $post_types ) === 0 ) {
			update_option( 'wc_pay_per_post_custom_post_types', array( 'post', 'page' ), false );
		}

		// Needs to upgrade?
        /** @noinspection PhpUnnecessaryCurlyVarSyntaxInspection */
        $sql        = "SELECT count((1)) as `ct` FROM {$wpdb->postmeta} where meta_key ='woocommerce_ppp_product_id'";
		$exists     = (bool) $wpdb->get_var( $sql );
		$db_version = get_option( 'wc_pay_per_post_db_version' );

		if ( $exists && ( ! $db_version || $db_version < 2 ) ) {
			update_option( 'wc_pay_per_post_needs_upgrade', 'true', false );
		} else {
			update_option( 'wc_pay_per_post_needs_upgrade', 'false', false );
			update_option( 'wc_pay_per_post_db_version', WC_PPP_VERSION, false );
		}

	}

}
